
function DMStoDecimalAbs(dmsString) {
	dmsString = new String(dmsString);
	var dmsArr = dmsString.split(" ");
	var decValue = Math.abs(parseInt(dmsArr[0]));
	decValue += parseInt(dmsArr[1])/60;
	decValue += parseInt(dmsArr[2])/3600;
	return decValue;	
}

function CountyProjection () {
	this.LatOrigin = 0;
	this.Lat1stParallel = 0;
	this.Lat2ndParallel = 0;
	this.CentralMeridian = 0;
	this.CentralMeridianEasting = 0;
	this.FalseNorthing = 0;
	this.EllipsoidHeight = 0;
}

	var MN_COUNTY_PROJECTIONS = new Array();
MN_COUNTY_PROJECTIONS['ANOKA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ANOKA'].LatOrigin = DMStoDecimalAbs("45 02 07");
MN_COUNTY_PROJECTIONS['ANOKA'].Lat1stParallel = DMStoDecimalAbs("45 04 00");
MN_COUNTY_PROJECTIONS['ANOKA'].Lat2ndParallel = DMStoDecimalAbs("45 22 00");
MN_COUNTY_PROJECTIONS['ANOKA'].CentralMeridian = DMStoDecimalAbs("-93 16 00");
MN_COUNTY_PROJECTIONS['ANOKA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ANOKA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ANOKA'].EllipsoidHeight = 281.94;

MN_COUNTY_PROJECTIONS['BECKER'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BECKER'].LatOrigin = DMStoDecimalAbs("46 43 04");
MN_COUNTY_PROJECTIONS['BECKER'].Lat1stParallel = DMStoDecimalAbs("46 47 00");
MN_COUNTY_PROJECTIONS['BECKER'].Lat2ndParallel = DMStoDecimalAbs("47 05 00");
MN_COUNTY_PROJECTIONS['BECKER'].CentralMeridian = DMStoDecimalAbs("-95 41 00");
MN_COUNTY_PROJECTIONS['BECKER'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BECKER'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BECKER'].EllipsoidHeight = 449.58;

MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].LatOrigin = DMStoDecimalAbs("48 01 12");
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].Lat1stParallel = DMStoDecimalAbs("** 48 07 00");
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].Lat2ndParallel = DMStoDecimalAbs("48 28 00");
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].CentralMeridian = DMStoDecimalAbs("-95 01 00");
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BELTRAMI-NORTH'].EllipsoidHeight = 368.81;

MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].LatOrigin = DMStoDecimalAbs("47 24 45");
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].Lat1stParallel = DMStoDecimalAbs("47 30 00");
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].Lat2ndParallel = DMStoDecimalAbs("47 55 00");
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].CentralMeridian = DMStoDecimalAbs("-94 51 00");
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BELTRAMI-SOUTH'].EllipsoidHeight = 407.82;

MN_COUNTY_PROJECTIONS['BENTON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BENTON'].LatOrigin = DMStoDecimalAbs("45 33 33");
MN_COUNTY_PROJECTIONS['BENTON'].Lat1stParallel = DMStoDecimalAbs("45 35 00");
MN_COUNTY_PROJECTIONS['BENTON'].Lat2ndParallel = DMStoDecimalAbs("45 47 00");
MN_COUNTY_PROJECTIONS['BENTON'].CentralMeridian = DMStoDecimalAbs("-94 03 00");
MN_COUNTY_PROJECTIONS['BENTON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BENTON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BENTON'].EllipsoidHeight = 353.57;

MN_COUNTY_PROJECTIONS['BIG STONE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BIG STONE'].LatOrigin = DMStoDecimalAbs("45 09 08");
MN_COUNTY_PROJECTIONS['BIG STONE'].Lat1stParallel = DMStoDecimalAbs("45 13 00");
MN_COUNTY_PROJECTIONS['BIG STONE'].Lat2ndParallel = DMStoDecimalAbs("45 32 00");
MN_COUNTY_PROJECTIONS['BIG STONE'].CentralMeridian = DMStoDecimalAbs("-96 03 00");
MN_COUNTY_PROJECTIONS['BIG STONE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BIG STONE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BIG STONE'].EllipsoidHeight = 333.76;

MN_COUNTY_PROJECTIONS['BLUE EARTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BLUE EARTH'].LatOrigin = DMStoDecimalAbs("43 50 53");
MN_COUNTY_PROJECTIONS['BLUE EARTH'].Lat1stParallel = DMStoDecimalAbs("43 56 00");
MN_COUNTY_PROJECTIONS['BLUE EARTH'].Lat2ndParallel = DMStoDecimalAbs("44 22 00");
MN_COUNTY_PROJECTIONS['BLUE EARTH'].CentralMeridian = DMStoDecimalAbs("-94 16 00");
MN_COUNTY_PROJECTIONS['BLUE EARTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BLUE EARTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BLUE EARTH'].EllipsoidHeight = 266.7;

MN_COUNTY_PROJECTIONS['BROWN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['BROWN'].LatOrigin = DMStoDecimalAbs("44 06 29");
MN_COUNTY_PROJECTIONS['BROWN'].Lat1stParallel = DMStoDecimalAbs("44 10 00");
MN_COUNTY_PROJECTIONS['BROWN'].Lat2ndParallel = DMStoDecimalAbs("44 28 00");
MN_COUNTY_PROJECTIONS['BROWN'].CentralMeridian = DMStoDecimalAbs("-94 44 00");
MN_COUNTY_PROJECTIONS['BROWN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['BROWN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['BROWN'].EllipsoidHeight = 297.18;

MN_COUNTY_PROJECTIONS['CARLTON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CARLTON'].LatOrigin = DMStoDecimalAbs("46 25 02");
MN_COUNTY_PROJECTIONS['CARLTON'].Lat1stParallel = DMStoDecimalAbs("46 28 00");
MN_COUNTY_PROJECTIONS['CARLTON'].Lat2ndParallel = DMStoDecimalAbs("46 44 00");
MN_COUNTY_PROJECTIONS['CARLTON'].CentralMeridian = DMStoDecimalAbs("-92 41 00");
MN_COUNTY_PROJECTIONS['CARLTON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CARLTON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CARLTON'].EllipsoidHeight = 317.91;

MN_COUNTY_PROJECTIONS['CARVER'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CARVER'].LatOrigin = DMStoDecimalAbs("44 38 23");
MN_COUNTY_PROJECTIONS['CARVER'].Lat1stParallel = DMStoDecimalAbs("44 41 00");
MN_COUNTY_PROJECTIONS['CARVER'].Lat2ndParallel = DMStoDecimalAbs("44 54 00");
MN_COUNTY_PROJECTIONS['CARVER'].CentralMeridian = DMStoDecimalAbs("-93 46 00");
MN_COUNTY_PROJECTIONS['CARVER'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CARVER'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CARVER'].EllipsoidHeight = 263.65;

MN_COUNTY_PROJECTIONS['CASS-NORTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CASS-NORTH'].LatOrigin = DMStoDecimalAbs("46 48 13");
MN_COUNTY_PROJECTIONS['CASS-NORTH'].Lat1stParallel = DMStoDecimalAbs("46 55 00");
MN_COUNTY_PROJECTIONS['CASS-NORTH'].Lat2ndParallel = DMStoDecimalAbs("47 19 00");
MN_COUNTY_PROJECTIONS['CASS-NORTH'].CentralMeridian = DMStoDecimalAbs("-94 13 00");
MN_COUNTY_PROJECTIONS['CASS-NORTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CASS-NORTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CASS-NORTH'].EllipsoidHeight = 430.38;

MN_COUNTY_PROJECTIONS['CASS-SOUTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].LatOrigin = DMStoDecimalAbs("46 09 23");
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].Lat1stParallel = DMStoDecimalAbs("46 16 00");
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].Lat2ndParallel = DMStoDecimalAbs("46 44 00");
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].CentralMeridian = DMStoDecimalAbs("-94 28 00");
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CASS-SOUTH'].EllipsoidHeight = 409.96;

MN_COUNTY_PROJECTIONS['CHIPPEWA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CHIPPEWA'].LatOrigin = DMStoDecimalAbs("44 45 10");
MN_COUNTY_PROJECTIONS['CHIPPEWA'].Lat1stParallel = DMStoDecimalAbs("44 50 00");
MN_COUNTY_PROJECTIONS['CHIPPEWA'].Lat2ndParallel = DMStoDecimalAbs("45 12 00");
MN_COUNTY_PROJECTIONS['CHIPPEWA'].CentralMeridian = DMStoDecimalAbs("-95 51 00");
MN_COUNTY_PROJECTIONS['CHIPPEWA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CHIPPEWA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CHIPPEWA'].EllipsoidHeight = 339.85;

MN_COUNTY_PROJECTIONS['CHISAGO'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CHISAGO'].LatOrigin = DMStoDecimalAbs("45 17 47");
MN_COUNTY_PROJECTIONS['CHISAGO'].Lat1stParallel = DMStoDecimalAbs("45 20 00");
MN_COUNTY_PROJECTIONS['CHISAGO'].Lat2ndParallel = DMStoDecimalAbs("45 40 00");
MN_COUNTY_PROJECTIONS['CHISAGO'].CentralMeridian = DMStoDecimalAbs("-93 05 00");
MN_COUNTY_PROJECTIONS['CHISAGO'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CHISAGO'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CHISAGO'].EllipsoidHeight = 274.32;

MN_COUNTY_PROJECTIONS['COOK-NORTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['COOK-NORTH'].LatOrigin = DMStoDecimalAbs("47 53 00");
MN_COUNTY_PROJECTIONS['COOK-NORTH'].Lat1stParallel = DMStoDecimalAbs("47 56 00");
MN_COUNTY_PROJECTIONS['COOK-NORTH'].Lat2ndParallel = DMStoDecimalAbs("48 10 00");
MN_COUNTY_PROJECTIONS['COOK-NORTH'].CentralMeridian = DMStoDecimalAbs("-90 15 00");
MN_COUNTY_PROJECTIONS['COOK-NORTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['COOK-NORTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['COOK-NORTH'].EllipsoidHeight = 510.54;

MN_COUNTY_PROJECTIONS['COOK-SOUTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].LatOrigin = DMStoDecimalAbs("47 26 20");
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].Lat1stParallel = DMStoDecimalAbs("47 33 00");
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].Lat2ndParallel = DMStoDecimalAbs("47 49 00");
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].CentralMeridian = DMStoDecimalAbs("-90 15 00");
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['COOK-SOUTH'].EllipsoidHeight = 510.54;

MN_COUNTY_PROJECTIONS['COTTONWOOD'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['COTTONWOOD'].LatOrigin = DMStoDecimalAbs("43 50 53");
MN_COUNTY_PROJECTIONS['COTTONWOOD'].Lat1stParallel = DMStoDecimalAbs("43 54 00");
MN_COUNTY_PROJECTIONS['COTTONWOOD'].Lat2ndParallel = DMStoDecimalAbs("44 10 00");
MN_COUNTY_PROJECTIONS['COTTONWOOD'].CentralMeridian = DMStoDecimalAbs("-94 55 00");
MN_COUNTY_PROJECTIONS['COTTONWOOD'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['COTTONWOOD'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['COTTONWOOD'].EllipsoidHeight = 377.95;

MN_COUNTY_PROJECTIONS['CROW WING'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['CROW WING'].LatOrigin = DMStoDecimalAbs("46 09 23");
MN_COUNTY_PROJECTIONS['CROW WING'].Lat1stParallel = DMStoDecimalAbs("46 16 00");
MN_COUNTY_PROJECTIONS['CROW WING'].Lat2ndParallel = DMStoDecimalAbs("46 44 00");
MN_COUNTY_PROJECTIONS['CROW WING'].CentralMeridian = DMStoDecimalAbs("-94 28 00");
MN_COUNTY_PROJECTIONS['CROW WING'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['CROW WING'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['CROW WING'].EllipsoidHeight = 409.96;

MN_COUNTY_PROJECTIONS['DAKOTA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['DAKOTA'].LatOrigin = DMStoDecimalAbs("44 28 19");
MN_COUNTY_PROJECTIONS['DAKOTA'].Lat1stParallel = DMStoDecimalAbs("44 31 00");
MN_COUNTY_PROJECTIONS['DAKOTA'].Lat2ndParallel = DMStoDecimalAbs("44 55 00");
MN_COUNTY_PROJECTIONS['DAKOTA'].CentralMeridian = DMStoDecimalAbs("-93 19 00");
MN_COUNTY_PROJECTIONS['DAKOTA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['DAKOTA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['DAKOTA'].EllipsoidHeight = 284.99;

MN_COUNTY_PROJECTIONS['DODGE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['DODGE'].LatOrigin = DMStoDecimalAbs("43 50 02");
MN_COUNTY_PROJECTIONS['DODGE'].Lat1stParallel = DMStoDecimalAbs("43 53 00");
MN_COUNTY_PROJECTIONS['DODGE'].Lat2ndParallel = DMStoDecimalAbs("44 08 00");
MN_COUNTY_PROJECTIONS['DODGE'].CentralMeridian = DMStoDecimalAbs("-92 55 00");
MN_COUNTY_PROJECTIONS['DODGE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['DODGE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['DODGE'].EllipsoidHeight = 344.43;

MN_COUNTY_PROJECTIONS['DOUGLAS'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['DOUGLAS'].LatOrigin = DMStoDecimalAbs("45 45 32");
MN_COUNTY_PROJECTIONS['DOUGLAS'].Lat1stParallel = DMStoDecimalAbs("45 48 00");
MN_COUNTY_PROJECTIONS['DOUGLAS'].Lat2ndParallel = DMStoDecimalAbs("46 03 00");
MN_COUNTY_PROJECTIONS['DOUGLAS'].CentralMeridian = DMStoDecimalAbs("-96 03 00");
MN_COUNTY_PROJECTIONS['DOUGLAS'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['DOUGLAS'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['DOUGLAS'].EllipsoidHeight = 381;

MN_COUNTY_PROJECTIONS['FARIBAULT'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['FARIBAULT'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['FARIBAULT'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['FARIBAULT'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['FARIBAULT'].CentralMeridian = DMStoDecimalAbs("-93 57 00");
MN_COUNTY_PROJECTIONS['FARIBAULT'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['FARIBAULT'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['FARIBAULT'].EllipsoidHeight = 384.05;

MN_COUNTY_PROJECTIONS['FILLMORE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['FILLMORE'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['FILLMORE'].Lat1stParallel = DMStoDecimalAbs("43 33 00");
MN_COUNTY_PROJECTIONS['FILLMORE'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['FILLMORE'].CentralMeridian = DMStoDecimalAbs("-92 05 00");
MN_COUNTY_PROJECTIONS['FILLMORE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['FILLMORE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['FILLMORE'].EllipsoidHeight = 327.66;

MN_COUNTY_PROJECTIONS['FREEBORN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['FREEBORN'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['FREEBORN'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['FREEBORN'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['FREEBORN'].CentralMeridian = DMStoDecimalAbs("-93 57 00");
MN_COUNTY_PROJECTIONS['FREEBORN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['FREEBORN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['FREEBORN'].EllipsoidHeight = 384.05;

MN_COUNTY_PROJECTIONS['GOODHUE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['GOODHUE'].LatOrigin = DMStoDecimalAbs("44 11 41");
MN_COUNTY_PROJECTIONS['GOODHUE'].Lat1stParallel = DMStoDecimalAbs("44 18 00");
MN_COUNTY_PROJECTIONS['GOODHUE'].Lat2ndParallel = DMStoDecimalAbs("44 40 00");
MN_COUNTY_PROJECTIONS['GOODHUE'].CentralMeridian = DMStoDecimalAbs("-93 08 00");
MN_COUNTY_PROJECTIONS['GOODHUE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['GOODHUE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['GOODHUE'].EllipsoidHeight = 297.18;

MN_COUNTY_PROJECTIONS['GRANT'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['GRANT'].LatOrigin = DMStoDecimalAbs("45 45 32");
MN_COUNTY_PROJECTIONS['GRANT'].Lat1stParallel = DMStoDecimalAbs("45 48 00");
MN_COUNTY_PROJECTIONS['GRANT'].Lat2ndParallel = DMStoDecimalAbs("46 03 00");
MN_COUNTY_PROJECTIONS['GRANT'].CentralMeridian = DMStoDecimalAbs("-96 03 00");
MN_COUNTY_PROJECTIONS['GRANT'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['GRANT'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['GRANT'].EllipsoidHeight = 381;

MN_COUNTY_PROJECTIONS['HENNEPIN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['HENNEPIN'].LatOrigin = DMStoDecimalAbs("44 47 28");
MN_COUNTY_PROJECTIONS['HENNEPIN'].Lat1stParallel = DMStoDecimalAbs("44 53 00");
MN_COUNTY_PROJECTIONS['HENNEPIN'].Lat2ndParallel = DMStoDecimalAbs("45 08 00");
MN_COUNTY_PROJECTIONS['HENNEPIN'].CentralMeridian = DMStoDecimalAbs("-93 23 00");
MN_COUNTY_PROJECTIONS['HENNEPIN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['HENNEPIN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['HENNEPIN'].EllipsoidHeight = 281.94;

MN_COUNTY_PROJECTIONS['HOUSTON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['HOUSTON'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['HOUSTON'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['HOUSTON'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['HOUSTON'].CentralMeridian = DMStoDecimalAbs("-91 28 00");
MN_COUNTY_PROJECTIONS['HOUSTON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['HOUSTON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['HOUSTON'].EllipsoidHeight = 299.62;

MN_COUNTY_PROJECTIONS['ISANTI'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ISANTI'].LatOrigin = DMStoDecimalAbs("45 17 47");
MN_COUNTY_PROJECTIONS['ISANTI'].Lat1stParallel = DMStoDecimalAbs("45 20 00");
MN_COUNTY_PROJECTIONS['ISANTI'].Lat2ndParallel = DMStoDecimalAbs("45 40 00");
MN_COUNTY_PROJECTIONS['ISANTI'].CentralMeridian = DMStoDecimalAbs("-93 05 00");
MN_COUNTY_PROJECTIONS['ISANTI'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ISANTI'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ISANTI'].EllipsoidHeight = 274.32;

MN_COUNTY_PROJECTIONS['ITASCA-NORTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].LatOrigin = DMStoDecimalAbs("47 30 00");
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].Lat1stParallel = DMStoDecimalAbs("47 34 00");
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].Lat2ndParallel = DMStoDecimalAbs("47 49 00");
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].CentralMeridian = DMStoDecimalAbs("-93 44 00");
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ITASCA-NORTH'].EllipsoidHeight = 437.39;

MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].LatOrigin = DMStoDecimalAbs("47 01 35");
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].Lat1stParallel = DMStoDecimalAbs("47 05 00");
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].Lat2ndParallel = DMStoDecimalAbs("47 25 00");
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].CentralMeridian = DMStoDecimalAbs("-93 44 00");
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ITASCA-SOUTH'].EllipsoidHeight = 437.39;

MN_COUNTY_PROJECTIONS['JACKSON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['JACKSON'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['JACKSON'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['JACKSON'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['JACKSON'].CentralMeridian = DMStoDecimalAbs("-93 57 00");
MN_COUNTY_PROJECTIONS['JACKSON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['JACKSON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['JACKSON'].EllipsoidHeight = 384.05;

MN_COUNTY_PROJECTIONS['KANABEC'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['KANABEC'].LatOrigin = DMStoDecimalAbs("45 43 48");
MN_COUNTY_PROJECTIONS['KANABEC'].Lat1stParallel = DMStoDecimalAbs("45 49 00");
MN_COUNTY_PROJECTIONS['KANABEC'].Lat2ndParallel = DMStoDecimalAbs("46 20 00");
MN_COUNTY_PROJECTIONS['KANABEC'].CentralMeridian = DMStoDecimalAbs("-92 54 00");
MN_COUNTY_PROJECTIONS['KANABEC'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['KANABEC'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['KANABEC'].EllipsoidHeight = 335.28;

MN_COUNTY_PROJECTIONS['KANDIYOHI'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['KANDIYOHI'].LatOrigin = DMStoDecimalAbs("44 53 29");
MN_COUNTY_PROJECTIONS['KANDIYOHI'].Lat1stParallel = DMStoDecimalAbs("44 58 00");
MN_COUNTY_PROJECTIONS['KANDIYOHI'].Lat2ndParallel = DMStoDecimalAbs("45 20 00");
MN_COUNTY_PROJECTIONS['KANDIYOHI'].CentralMeridian = DMStoDecimalAbs("-94 45 00");
MN_COUNTY_PROJECTIONS['KANDIYOHI'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['KANDIYOHI'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['KANDIYOHI'].EllipsoidHeight = 361.19;

MN_COUNTY_PROJECTIONS['KITTSON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['KITTSON'].LatOrigin = DMStoDecimalAbs("48 32 38");
MN_COUNTY_PROJECTIONS['KITTSON'].Lat1stParallel = DMStoDecimalAbs("48 36 00");
MN_COUNTY_PROJECTIONS['KITTSON'].Lat2ndParallel = DMStoDecimalAbs("48 56 00");
MN_COUNTY_PROJECTIONS['KITTSON'].CentralMeridian = DMStoDecimalAbs("-96 09 00");
MN_COUNTY_PROJECTIONS['KITTSON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['KITTSON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['KITTSON'].EllipsoidHeight = 312.42;

MN_COUNTY_PROJECTIONS['KOOCHICHING'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['KOOCHICHING'].LatOrigin = DMStoDecimalAbs("47 50 45");
MN_COUNTY_PROJECTIONS['KOOCHICHING'].Lat1stParallel = DMStoDecimalAbs("48 00 00");
MN_COUNTY_PROJECTIONS['KOOCHICHING'].Lat2ndParallel = DMStoDecimalAbs("48 37 00");
MN_COUNTY_PROJECTIONS['KOOCHICHING'].CentralMeridian = DMStoDecimalAbs("-93 45 00");
MN_COUNTY_PROJECTIONS['KOOCHICHING'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['KOOCHICHING'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['KOOCHICHING'].EllipsoidHeight = 388.62;

MN_COUNTY_PROJECTIONS['LAC QUI PARLE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].LatOrigin = DMStoDecimalAbs("44 45 10");
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].Lat1stParallel = DMStoDecimalAbs("44 50 00");
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].Lat2ndParallel = DMStoDecimalAbs("45 12 00");
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].CentralMeridian = DMStoDecimalAbs("-95 51 00");
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['LAC QUI PARLE'].EllipsoidHeight = 339.85;

MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].LatOrigin = DMStoDecimalAbs("49 09 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].Lat1stParallel = DMStoDecimalAbs("49 11 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].Lat2ndParallel = DMStoDecimalAbs("49 20 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].CentralMeridian = DMStoDecimalAbs("-94 59 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-NORTH'].EllipsoidHeight = 329.19;

MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].LatOrigin = DMStoDecimalAbs("48 21 58");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].Lat1stParallel = DMStoDecimalAbs("48 27 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].Lat2ndParallel = DMStoDecimalAbs("48 53 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].CentralMeridian = DMStoDecimalAbs("-94 53 00");
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['LAKE OF THE WOODS-SOUTH'].EllipsoidHeight = 359.67;

MN_COUNTY_PROJECTIONS['LE SUEUR'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['LE SUEUR'].LatOrigin = DMStoDecimalAbs("44 11 41");
MN_COUNTY_PROJECTIONS['LE SUEUR'].Lat1stParallel = DMStoDecimalAbs("44 18 00");
MN_COUNTY_PROJECTIONS['LE SUEUR'].Lat2ndParallel = DMStoDecimalAbs("44 40 00");
MN_COUNTY_PROJECTIONS['LE SUEUR'].CentralMeridian = DMStoDecimalAbs("-93 08 00");
MN_COUNTY_PROJECTIONS['LE SUEUR'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['LE SUEUR'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['LE SUEUR'].EllipsoidHeight = 297.18;

MN_COUNTY_PROJECTIONS['LINCOLN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['LINCOLN'].LatOrigin = DMStoDecimalAbs("44 11 48");
MN_COUNTY_PROJECTIONS['LINCOLN'].Lat1stParallel = DMStoDecimalAbs("44 17 00");
MN_COUNTY_PROJECTIONS['LINCOLN'].Lat2ndParallel = DMStoDecimalAbs("44 37 00");
MN_COUNTY_PROJECTIONS['LINCOLN'].CentralMeridian = DMStoDecimalAbs("-96 16 00");
MN_COUNTY_PROJECTIONS['LINCOLN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['LINCOLN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['LINCOLN'].EllipsoidHeight = 506.58;

MN_COUNTY_PROJECTIONS['LYON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['LYON'].LatOrigin = DMStoDecimalAbs("44 11 44");
MN_COUNTY_PROJECTIONS['LYON'].Lat1stParallel = DMStoDecimalAbs("44 15 00");
MN_COUNTY_PROJECTIONS['LYON'].Lat2ndParallel = DMStoDecimalAbs("44 35 00");
MN_COUNTY_PROJECTIONS['LYON'].CentralMeridian = DMStoDecimalAbs("-95 51 00");
MN_COUNTY_PROJECTIONS['LYON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['LYON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['LYON'].EllipsoidHeight = 422.76;

MN_COUNTY_PROJECTIONS['MCLEOD'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MCLEOD'].LatOrigin = DMStoDecimalAbs("44 27 22");
MN_COUNTY_PROJECTIONS['MCLEOD'].Lat1stParallel = DMStoDecimalAbs("44 32 00");
MN_COUNTY_PROJECTIONS['MCLEOD'].Lat2ndParallel = DMStoDecimalAbs("44 55 00");
MN_COUNTY_PROJECTIONS['MCLEOD'].CentralMeridian = DMStoDecimalAbs("-94 38 00");
MN_COUNTY_PROJECTIONS['MCLEOD'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MCLEOD'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MCLEOD'].EllipsoidHeight = 277.37;

MN_COUNTY_PROJECTIONS['MAHNOMEN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MAHNOMEN'].LatOrigin = DMStoDecimalAbs("47 09 06");
MN_COUNTY_PROJECTIONS['MAHNOMEN'].Lat1stParallel = DMStoDecimalAbs("47 12 00");
MN_COUNTY_PROJECTIONS['MAHNOMEN'].Lat2ndParallel = DMStoDecimalAbs("47 27 00");
MN_COUNTY_PROJECTIONS['MAHNOMEN'].CentralMeridian = DMStoDecimalAbs("-95 49 00");
MN_COUNTY_PROJECTIONS['MAHNOMEN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MAHNOMEN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MAHNOMEN'].EllipsoidHeight = 449.58;

MN_COUNTY_PROJECTIONS['MARSHALL'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MARSHALL'].LatOrigin = DMStoDecimalAbs("48 10 23");
MN_COUNTY_PROJECTIONS['MARSHALL'].Lat1stParallel = DMStoDecimalAbs("48 14 00");
MN_COUNTY_PROJECTIONS['MARSHALL'].Lat2ndParallel = DMStoDecimalAbs("48 29 00");
MN_COUNTY_PROJECTIONS['MARSHALL'].CentralMeridian = DMStoDecimalAbs("-96 23 00");
MN_COUNTY_PROJECTIONS['MARSHALL'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MARSHALL'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MARSHALL'].EllipsoidHeight = 304.8;

MN_COUNTY_PROJECTIONS['MARTIN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MARTIN'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['MARTIN'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['MARTIN'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['MARTIN'].CentralMeridian = DMStoDecimalAbs("-93 57 00");
MN_COUNTY_PROJECTIONS['MARTIN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MARTIN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MARTIN'].EllipsoidHeight = 384.05;

MN_COUNTY_PROJECTIONS['MEEKER'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MEEKER'].LatOrigin = DMStoDecimalAbs("44 53 29");
MN_COUNTY_PROJECTIONS['MEEKER'].Lat1stParallel = DMStoDecimalAbs("44 58 00");
MN_COUNTY_PROJECTIONS['MEEKER'].Lat2ndParallel = DMStoDecimalAbs("45 20 00");
MN_COUNTY_PROJECTIONS['MEEKER'].CentralMeridian = DMStoDecimalAbs("-94 45 00");
MN_COUNTY_PROJECTIONS['MEEKER'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MEEKER'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MEEKER'].EllipsoidHeight = 361.19;

MN_COUNTY_PROJECTIONS['MORRISON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MORRISON'].LatOrigin = DMStoDecimalAbs("45 46 26");
MN_COUNTY_PROJECTIONS['MORRISON'].Lat1stParallel = DMStoDecimalAbs("45 51 00");
MN_COUNTY_PROJECTIONS['MORRISON'].Lat2ndParallel = DMStoDecimalAbs("46 16 00");
MN_COUNTY_PROJECTIONS['MORRISON'].CentralMeridian = DMStoDecimalAbs("-94 12 00");
MN_COUNTY_PROJECTIONS['MORRISON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MORRISON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MORRISON'].EllipsoidHeight = 365.76;

MN_COUNTY_PROJECTIONS['MOWER'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MOWER'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['MOWER'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['MOWER'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['MOWER'].CentralMeridian = DMStoDecimalAbs("-93 57 00");
MN_COUNTY_PROJECTIONS['MOWER'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MOWER'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MOWER'].EllipsoidHeight = 384.05;

MN_COUNTY_PROJECTIONS['MURRAY'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['MURRAY'].LatOrigin = DMStoDecimalAbs("43 50 53");
MN_COUNTY_PROJECTIONS['MURRAY'].Lat1stParallel = DMStoDecimalAbs("43 55 00");
MN_COUNTY_PROJECTIONS['MURRAY'].Lat2ndParallel = DMStoDecimalAbs("44 10 00");
MN_COUNTY_PROJECTIONS['MURRAY'].CentralMeridian = DMStoDecimalAbs("-95 46 00");
MN_COUNTY_PROJECTIONS['MURRAY'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['MURRAY'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['MURRAY'].EllipsoidHeight = 480.06;

MN_COUNTY_PROJECTIONS['NICOLLET'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['NICOLLET'].LatOrigin = DMStoDecimalAbs("43 50 53");
MN_COUNTY_PROJECTIONS['NICOLLET'].Lat1stParallel = DMStoDecimalAbs("43 56 00");
MN_COUNTY_PROJECTIONS['NICOLLET'].Lat2ndParallel = DMStoDecimalAbs("44 22 00");
MN_COUNTY_PROJECTIONS['NICOLLET'].CentralMeridian = DMStoDecimalAbs("-94 16 00");
MN_COUNTY_PROJECTIONS['NICOLLET'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['NICOLLET'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['NICOLLET'].EllipsoidHeight = 266.7;

MN_COUNTY_PROJECTIONS['NOBLES'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['NOBLES'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['NOBLES'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['NOBLES'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['NOBLES'].CentralMeridian = DMStoDecimalAbs("-95 57 00");
MN_COUNTY_PROJECTIONS['NOBLES'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['NOBLES'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['NOBLES'].EllipsoidHeight = 487.68;

MN_COUNTY_PROJECTIONS['NORMAN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['NORMAN'].LatOrigin = DMStoDecimalAbs("47 09 02");
MN_COUNTY_PROJECTIONS['NORMAN'].Lat1stParallel = DMStoDecimalAbs("47 12 00");
MN_COUNTY_PROJECTIONS['NORMAN'].Lat2ndParallel = DMStoDecimalAbs("47 27 00");
MN_COUNTY_PROJECTIONS['NORMAN'].CentralMeridian = DMStoDecimalAbs("-96 27 00");
MN_COUNTY_PROJECTIONS['NORMAN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['NORMAN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['NORMAN'].EllipsoidHeight = 331.62;

MN_COUNTY_PROJECTIONS['OLMSTED'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['OLMSTED'].LatOrigin = DMStoDecimalAbs("43 50 02");
MN_COUNTY_PROJECTIONS['OLMSTED'].Lat1stParallel = DMStoDecimalAbs("43 53 00");
MN_COUNTY_PROJECTIONS['OLMSTED'].Lat2ndParallel = DMStoDecimalAbs("44 08 00");
MN_COUNTY_PROJECTIONS['OLMSTED'].CentralMeridian = DMStoDecimalAbs("-92 55 00");
MN_COUNTY_PROJECTIONS['OLMSTED'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['OLMSTED'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['OLMSTED'].EllipsoidHeight = 344.43;

MN_COUNTY_PROJECTIONS['OTTERTAIL'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['OTTERTAIL'].LatOrigin = DMStoDecimalAbs("46 06 23");
MN_COUNTY_PROJECTIONS['OTTERTAIL'].Lat1stParallel = DMStoDecimalAbs("46 11 00");
MN_COUNTY_PROJECTIONS['OTTERTAIL'].Lat2ndParallel = DMStoDecimalAbs("46 39 00");
MN_COUNTY_PROJECTIONS['OTTERTAIL'].CentralMeridian = DMStoDecimalAbs("-95 43 00");
MN_COUNTY_PROJECTIONS['OTTERTAIL'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['OTTERTAIL'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['OTTERTAIL'].EllipsoidHeight = 388.62;

MN_COUNTY_PROJECTIONS['PENNINGTON'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['PENNINGTON'].LatOrigin = DMStoDecimalAbs("47 29 56");
MN_COUNTY_PROJECTIONS['PENNINGTON'].Lat1stParallel = DMStoDecimalAbs("47 36 00");
MN_COUNTY_PROJECTIONS['PENNINGTON'].Lat2ndParallel = DMStoDecimalAbs("48 05 00");
MN_COUNTY_PROJECTIONS['PENNINGTON'].CentralMeridian = DMStoDecimalAbs("-96 22 00");
MN_COUNTY_PROJECTIONS['PENNINGTON'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['PENNINGTON'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['PENNINGTON'].EllipsoidHeight = 308.76;

MN_COUNTY_PROJECTIONS['PINE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['PINE'].LatOrigin = DMStoDecimalAbs("45 43 48");
MN_COUNTY_PROJECTIONS['PINE'].Lat1stParallel = DMStoDecimalAbs("45 49 00");
MN_COUNTY_PROJECTIONS['PINE'].Lat2ndParallel = DMStoDecimalAbs("46 20 00");
MN_COUNTY_PROJECTIONS['PINE'].CentralMeridian = DMStoDecimalAbs("-92 54 00");
MN_COUNTY_PROJECTIONS['PINE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['PINE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['PINE'].EllipsoidHeight = 335.28;

MN_COUNTY_PROJECTIONS['PIPESTONE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['PIPESTONE'].LatOrigin = DMStoDecimalAbs("43 50 57");
MN_COUNTY_PROJECTIONS['PIPESTONE'].Lat1stParallel = DMStoDecimalAbs("43 53 00");
MN_COUNTY_PROJECTIONS['PIPESTONE'].Lat2ndParallel = DMStoDecimalAbs("44 09 00");
MN_COUNTY_PROJECTIONS['PIPESTONE'].CentralMeridian = DMStoDecimalAbs("-96 15 00");
MN_COUNTY_PROJECTIONS['PIPESTONE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['PIPESTONE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['PIPESTONE'].EllipsoidHeight = 533.4;

MN_COUNTY_PROJECTIONS['POLK'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['POLK'].LatOrigin = DMStoDecimalAbs("47 29 56");
MN_COUNTY_PROJECTIONS['POLK'].Lat1stParallel = DMStoDecimalAbs("47 36 00");
MN_COUNTY_PROJECTIONS['POLK'].Lat2ndParallel = DMStoDecimalAbs("48 05 00");
MN_COUNTY_PROJECTIONS['POLK'].CentralMeridian = DMStoDecimalAbs("-96 22 00");
MN_COUNTY_PROJECTIONS['POLK'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['POLK'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['POLK'].EllipsoidHeight = 308.76;

MN_COUNTY_PROJECTIONS['POPE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['POPE'].LatOrigin = DMStoDecimalAbs("45 16 58");
MN_COUNTY_PROJECTIONS['POPE'].Lat1stParallel = DMStoDecimalAbs("45 21 00");
MN_COUNTY_PROJECTIONS['POPE'].Lat2ndParallel = DMStoDecimalAbs("45 42 00");
MN_COUNTY_PROJECTIONS['POPE'].CentralMeridian = DMStoDecimalAbs("-95 09 00");
MN_COUNTY_PROJECTIONS['POPE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['POPE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['POPE'].EllipsoidHeight = 365.76;

MN_COUNTY_PROJECTIONS['RAMSEY'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['RAMSEY'].LatOrigin = DMStoDecimalAbs("44 47 28");
MN_COUNTY_PROJECTIONS['RAMSEY'].Lat1stParallel = DMStoDecimalAbs("44 53 00");
MN_COUNTY_PROJECTIONS['RAMSEY'].Lat2ndParallel = DMStoDecimalAbs("45 08 00");
MN_COUNTY_PROJECTIONS['RAMSEY'].CentralMeridian = DMStoDecimalAbs("-93 23 00");
MN_COUNTY_PROJECTIONS['RAMSEY'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['RAMSEY'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['RAMSEY'].EllipsoidHeight = 281.94;

MN_COUNTY_PROJECTIONS['RED LAKE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['RED LAKE'].LatOrigin = DMStoDecimalAbs("47 29 56");
MN_COUNTY_PROJECTIONS['RED LAKE'].Lat1stParallel = DMStoDecimalAbs("47 36 00");
MN_COUNTY_PROJECTIONS['RED LAKE'].Lat2ndParallel = DMStoDecimalAbs("48 05 00");
MN_COUNTY_PROJECTIONS['RED LAKE'].CentralMeridian = DMStoDecimalAbs("-96 22 00");
MN_COUNTY_PROJECTIONS['RED LAKE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['RED LAKE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['RED LAKE'].EllipsoidHeight = 308.76;

MN_COUNTY_PROJECTIONS['REDWOOD'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['REDWOOD'].LatOrigin = DMStoDecimalAbs("44 11 41");
MN_COUNTY_PROJECTIONS['REDWOOD'].Lat1stParallel = DMStoDecimalAbs("44 16 00");
MN_COUNTY_PROJECTIONS['REDWOOD'].Lat2ndParallel = DMStoDecimalAbs("44 34 00");
MN_COUNTY_PROJECTIONS['REDWOOD'].CentralMeridian = DMStoDecimalAbs("-95 14 00");
MN_COUNTY_PROJECTIONS['REDWOOD'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['REDWOOD'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['REDWOOD'].EllipsoidHeight = 301.75;

MN_COUNTY_PROJECTIONS['RENVILLE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['RENVILLE'].LatOrigin = DMStoDecimalAbs("44 27 22");
MN_COUNTY_PROJECTIONS['RENVILLE'].Lat1stParallel = DMStoDecimalAbs("44 32 00");
MN_COUNTY_PROJECTIONS['RENVILLE'].Lat2ndParallel = DMStoDecimalAbs("44 55 00");
MN_COUNTY_PROJECTIONS['RENVILLE'].CentralMeridian = DMStoDecimalAbs("-94 38 00");
MN_COUNTY_PROJECTIONS['RENVILLE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['RENVILLE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['RENVILLE'].EllipsoidHeight = 277.37;

MN_COUNTY_PROJECTIONS['RICE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['RICE'].LatOrigin = DMStoDecimalAbs("44 11 41");
MN_COUNTY_PROJECTIONS['RICE'].Lat1stParallel = DMStoDecimalAbs("44 18 00");
MN_COUNTY_PROJECTIONS['RICE'].Lat2ndParallel = DMStoDecimalAbs("44 40 00");
MN_COUNTY_PROJECTIONS['RICE'].CentralMeridian = DMStoDecimalAbs("-93 08 00");
MN_COUNTY_PROJECTIONS['RICE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['RICE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['RICE'].EllipsoidHeight = 297.18;

MN_COUNTY_PROJECTIONS['ROCK'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ROCK'].LatOrigin = DMStoDecimalAbs("43 30 00");
MN_COUNTY_PROJECTIONS['ROCK'].Lat1stParallel = DMStoDecimalAbs("43 34 00");
MN_COUNTY_PROJECTIONS['ROCK'].Lat2ndParallel = DMStoDecimalAbs("43 48 00");
MN_COUNTY_PROJECTIONS['ROCK'].CentralMeridian = DMStoDecimalAbs("-95 57 00");
MN_COUNTY_PROJECTIONS['ROCK'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ROCK'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ROCK'].EllipsoidHeight = 487.68;

MN_COUNTY_PROJECTIONS['ROSEAU'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ROSEAU'].LatOrigin = DMStoDecimalAbs("48 32 38");
MN_COUNTY_PROJECTIONS['ROSEAU'].Lat1stParallel = DMStoDecimalAbs("48 36 00");
MN_COUNTY_PROJECTIONS['ROSEAU'].Lat2ndParallel = DMStoDecimalAbs("48 56 00");
MN_COUNTY_PROJECTIONS['ROSEAU'].CentralMeridian = DMStoDecimalAbs("-96 09 00");
MN_COUNTY_PROJECTIONS['ROSEAU'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ROSEAU'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ROSEAU'].EllipsoidHeight = 312.42;

MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].LatOrigin = DMStoDecimalAbs("47 50 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].Lat1stParallel = DMStoDecimalAbs("47 59 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].Lat2ndParallel = DMStoDecimalAbs("48 32 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].CentralMeridian = DMStoDecimalAbs("-92 27 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ST LOUIS-NORTH'].EllipsoidHeight = 406.91;

MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].LatOrigin = DMStoDecimalAbs("47 15 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].Lat1stParallel = DMStoDecimalAbs("47 20 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].Lat2ndParallel = DMStoDecimalAbs("47 45 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].CentralMeridian = DMStoDecimalAbs("-92 27 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ST LOUIS-CENTRAL'].EllipsoidHeight = 468.78;

MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].LatOrigin = DMStoDecimalAbs("46 39 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].Lat1stParallel = DMStoDecimalAbs("46 47 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].Lat2ndParallel = DMStoDecimalAbs("47 08 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].CentralMeridian = DMStoDecimalAbs("-92 27 00");
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['ST LOUIS-SOUTH'].EllipsoidHeight = 403.86;

MN_COUNTY_PROJECTIONS['SCOTT'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['SCOTT'].LatOrigin = DMStoDecimalAbs("44 28 19");
MN_COUNTY_PROJECTIONS['SCOTT'].Lat1stParallel = DMStoDecimalAbs("44 31 00");
MN_COUNTY_PROJECTIONS['SCOTT'].Lat2ndParallel = DMStoDecimalAbs("44 55 00");
MN_COUNTY_PROJECTIONS['SCOTT'].CentralMeridian = DMStoDecimalAbs("-93 19 00");
MN_COUNTY_PROJECTIONS['SCOTT'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['SCOTT'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['SCOTT'].EllipsoidHeight = 284.99;

MN_COUNTY_PROJECTIONS['SHERBURNE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['SHERBURNE'].LatOrigin = DMStoDecimalAbs("44 58 39");
MN_COUNTY_PROJECTIONS['SHERBURNE'].Lat1stParallel = DMStoDecimalAbs("45 02 00");
MN_COUNTY_PROJECTIONS['SHERBURNE'].Lat2ndParallel = DMStoDecimalAbs("45 28 00");
MN_COUNTY_PROJECTIONS['SHERBURNE'].CentralMeridian = DMStoDecimalAbs("-93 53 00");
MN_COUNTY_PROJECTIONS['SHERBURNE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['SHERBURNE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['SHERBURNE'].EllipsoidHeight = 306.33;

MN_COUNTY_PROJECTIONS['SIBLEY'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['SIBLEY'].LatOrigin = DMStoDecimalAbs("44 27 22");
MN_COUNTY_PROJECTIONS['SIBLEY'].Lat1stParallel = DMStoDecimalAbs("44 32 00");
MN_COUNTY_PROJECTIONS['SIBLEY'].Lat2ndParallel = DMStoDecimalAbs("44 55 00");
MN_COUNTY_PROJECTIONS['SIBLEY'].CentralMeridian = DMStoDecimalAbs("-94 38 00");
MN_COUNTY_PROJECTIONS['SIBLEY'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['SIBLEY'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['SIBLEY'].EllipsoidHeight = 277.37;

MN_COUNTY_PROJECTIONS['STEARNS'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['STEARNS'].LatOrigin = DMStoDecimalAbs("45 16 58");
MN_COUNTY_PROJECTIONS['STEARNS'].Lat1stParallel = DMStoDecimalAbs("45 21 00");
MN_COUNTY_PROJECTIONS['STEARNS'].Lat2ndParallel = DMStoDecimalAbs("45 42 00");
MN_COUNTY_PROJECTIONS['STEARNS'].CentralMeridian = DMStoDecimalAbs("-95 09 00");
MN_COUNTY_PROJECTIONS['STEARNS'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['STEARNS'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['STEARNS'].EllipsoidHeight = 365.76;

MN_COUNTY_PROJECTIONS['STEELE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['STEELE'].LatOrigin = DMStoDecimalAbs("43 50 02");
MN_COUNTY_PROJECTIONS['STEELE'].Lat1stParallel = DMStoDecimalAbs("43 53 00");
MN_COUNTY_PROJECTIONS['STEELE'].Lat2ndParallel = DMStoDecimalAbs("44 08 00");
MN_COUNTY_PROJECTIONS['STEELE'].CentralMeridian = DMStoDecimalAbs("-92 55 00");
MN_COUNTY_PROJECTIONS['STEELE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['STEELE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['STEELE'].EllipsoidHeight = 344.43;

MN_COUNTY_PROJECTIONS['STEVENS'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['STEVENS'].LatOrigin = DMStoDecimalAbs("45 16 58");
MN_COUNTY_PROJECTIONS['STEVENS'].Lat1stParallel = DMStoDecimalAbs("45 21 00");
MN_COUNTY_PROJECTIONS['STEVENS'].Lat2ndParallel = DMStoDecimalAbs("45 42 00");
MN_COUNTY_PROJECTIONS['STEVENS'].CentralMeridian = DMStoDecimalAbs("-95 09 00");
MN_COUNTY_PROJECTIONS['STEVENS'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['STEVENS'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['STEVENS'].EllipsoidHeight = 365.76;

MN_COUNTY_PROJECTIONS['SWIFT'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['SWIFT'].LatOrigin = DMStoDecimalAbs("45 09 08");
MN_COUNTY_PROJECTIONS['SWIFT'].Lat1stParallel = DMStoDecimalAbs("45 13 00");
MN_COUNTY_PROJECTIONS['SWIFT'].Lat2ndParallel = DMStoDecimalAbs("45 32 00");
MN_COUNTY_PROJECTIONS['SWIFT'].CentralMeridian = DMStoDecimalAbs("-96 03 00");
MN_COUNTY_PROJECTIONS['SWIFT'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['SWIFT'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['SWIFT'].EllipsoidHeight = 333.76;

MN_COUNTY_PROJECTIONS['TODD'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['TODD'].LatOrigin = DMStoDecimalAbs("45 46 24");
MN_COUNTY_PROJECTIONS['TODD'].Lat1stParallel = DMStoDecimalAbs("45 52 00");
MN_COUNTY_PROJECTIONS['TODD'].Lat2ndParallel = DMStoDecimalAbs("46 17 00");
MN_COUNTY_PROJECTIONS['TODD'].CentralMeridian = DMStoDecimalAbs("-94 54 00");
MN_COUNTY_PROJECTIONS['TODD'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['TODD'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['TODD'].EllipsoidHeight = 411.48;

MN_COUNTY_PROJECTIONS['TRAVERSE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['TRAVERSE'].LatOrigin = DMStoDecimalAbs("45 35 08");
MN_COUNTY_PROJECTIONS['TRAVERSE'].Lat1stParallel = DMStoDecimalAbs("45 38 00");
MN_COUNTY_PROJECTIONS['TRAVERSE'].Lat2ndParallel = DMStoDecimalAbs("45 58 00");
MN_COUNTY_PROJECTIONS['TRAVERSE'].CentralMeridian = DMStoDecimalAbs("-96 33 00");
MN_COUNTY_PROJECTIONS['TRAVERSE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['TRAVERSE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['TRAVERSE'].EllipsoidHeight = 326.75;

MN_COUNTY_PROJECTIONS['WABASHA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['WABASHA'].LatOrigin = DMStoDecimalAbs("44 06 25");
MN_COUNTY_PROJECTIONS['WABASHA'].Lat1stParallel = DMStoDecimalAbs("44 09 00");
MN_COUNTY_PROJECTIONS['WABASHA'].Lat2ndParallel = DMStoDecimalAbs("44 25 00");
MN_COUNTY_PROJECTIONS['WABASHA'].CentralMeridian = DMStoDecimalAbs("-92 16 00");
MN_COUNTY_PROJECTIONS['WABASHA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['WABASHA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['WABASHA'].EllipsoidHeight = 289.56;

MN_COUNTY_PROJECTIONS['WADENA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['WADENA'].LatOrigin = DMStoDecimalAbs("46 09 23");
MN_COUNTY_PROJECTIONS['WADENA'].Lat1stParallel = DMStoDecimalAbs("46 16 00");
MN_COUNTY_PROJECTIONS['WADENA'].Lat2ndParallel = DMStoDecimalAbs("46 44 00");
MN_COUNTY_PROJECTIONS['WADENA'].CentralMeridian = DMStoDecimalAbs("-94 28 00");
MN_COUNTY_PROJECTIONS['WADENA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['WADENA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['WADENA'].EllipsoidHeight = 409.96;

MN_COUNTY_PROJECTIONS['WASECA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['WASECA'].LatOrigin = DMStoDecimalAbs("43 50 02");
MN_COUNTY_PROJECTIONS['WASECA'].Lat1stParallel = DMStoDecimalAbs("43 53 00");
MN_COUNTY_PROJECTIONS['WASECA'].Lat2ndParallel = DMStoDecimalAbs("44 08 00");
MN_COUNTY_PROJECTIONS['WASECA'].CentralMeridian = DMStoDecimalAbs("-92 55 00");
MN_COUNTY_PROJECTIONS['WASECA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['WASECA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['WASECA'].EllipsoidHeight = 344.43;

MN_COUNTY_PROJECTIONS['WATONWAN'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['WATONWAN'].LatOrigin = DMStoDecimalAbs("43 50 53");
MN_COUNTY_PROJECTIONS['WATONWAN'].Lat1stParallel = DMStoDecimalAbs("43 54 00");
MN_COUNTY_PROJECTIONS['WATONWAN'].Lat2ndParallel = DMStoDecimalAbs("44 10 00");
MN_COUNTY_PROJECTIONS['WATONWAN'].CentralMeridian = DMStoDecimalAbs("-94 55 00");
MN_COUNTY_PROJECTIONS['WATONWAN'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['WATONWAN'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['WATONWAN'].EllipsoidHeight = 377.95;

MN_COUNTY_PROJECTIONS['WINONA'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['WINONA'].LatOrigin = DMStoDecimalAbs("43 50 50");
MN_COUNTY_PROJECTIONS['WINONA'].Lat1stParallel = DMStoDecimalAbs("43 54 00");
MN_COUNTY_PROJECTIONS['WINONA'].Lat2ndParallel = DMStoDecimalAbs("44 08 00");
MN_COUNTY_PROJECTIONS['WINONA'].CentralMeridian = DMStoDecimalAbs("-91 37 00");
MN_COUNTY_PROJECTIONS['WINONA'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['WINONA'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['WINONA'].EllipsoidHeight = 316.69;

MN_COUNTY_PROJECTIONS['WRIGHT'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['WRIGHT'].LatOrigin = DMStoDecimalAbs("44 58 39");
MN_COUNTY_PROJECTIONS['WRIGHT'].Lat1stParallel = DMStoDecimalAbs("45 02 00");
MN_COUNTY_PROJECTIONS['WRIGHT'].Lat2ndParallel = DMStoDecimalAbs("45 28 00");
MN_COUNTY_PROJECTIONS['WRIGHT'].CentralMeridian = DMStoDecimalAbs("-93 53 00");
MN_COUNTY_PROJECTIONS['WRIGHT'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['WRIGHT'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['WRIGHT'].EllipsoidHeight = 306.33;

MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'] = new CountyProjection();
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].LatOrigin = DMStoDecimalAbs("44 32 30");
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].Lat1stParallel = DMStoDecimalAbs("44 40 00");
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].Lat2ndParallel = DMStoDecimalAbs("44 57 00");
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].CentralMeridian = DMStoDecimalAbs("-95 54 00");
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].CentralMeridianEasting = 152400.3048; //Meters
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].FalseNorthing = 30480.0610; //Meters
MN_COUNTY_PROJECTIONS['YELLOW MEDICINE'].EllipsoidHeight = 393.19;

window.toLatLong = function(projName, uP) {
   var proj = MN_COUNTY_PROJECTIONS[projName];

   var a = 6378137.000+proj.EllipsoidHeight; //20926581.33;     //major radius of ellipsoid, map units (NAD 83)
   var ec = 0.08181919104283185; //eccentricity of ellipsoid (NAD 83)
   var angRad = 0.01745329252; //number of radians in a degree
   var pi4 = Math.PI / 4;     //Pi / 4

   var p0 = proj.LatOrigin * angRad;
   if(!proj.LatOrigin) { alert('Latitude Origin Not Set!'); }
   var p1 = proj.Lat1stParallel * angRad;
   if(!proj.Lat1stParallel) { alert('Latitude 1st Parallel Not Set!'); }
   var p2 = proj.Lat2ndParallel * angRad;
   if(!proj.Lat2ndParallel) { alert('Latitude 2nd Parallel Not Set!'); }
   var m0 = proj.CentralMeridian * angRad;
   if(!proj.CentralMeridian) { alert('Central Meridian Not Set!'); }
   var x0 = proj.CentralMeridianEasting;
   if(!proj.CentralMeridianEasting) { alert('Central Meridian Easting Not Set!'); }
   var y0 = proj.FalseNorthing;
   if(!proj.FalseNorthing) { alert('False Northing Not Set!'); }
 
   // Calculate the coordinate system constants.
   with (Math) {
      var m1 = cos(p1) / sqrt(1 - (pow(ec,2)) * pow(sin(p1),2)); 
      var m2 = cos(p2) / sqrt(1 - (pow(ec,2)) * pow(sin(p2),2));
      var t0 = tan(pi4 - (p0 / 2));
      var t1 = tan(pi4 - (p1 / 2));
      var t2 = tan(pi4 - (p2 / 2));
      t0 = t0 / pow(((1 - (ec * (sin(p0)))) / (1 + (ec * (sin(p0))))),ec/2); 
      t1 = t1 / pow(((1 - (ec * (sin(p1)))) / (1 + (ec * (sin(p1))))),ec/2);
      t2 = t2 / pow(((1 - (ec * (sin(p2)))) / (1 + (ec * (sin(p2))))),ec/2);
      var n = log(m1 / m2) / log(t1 / t2);
      var f = m1 / (n * pow(t1,n));
      var rho0 = a * f * pow(t0,n);
 
      // Calculate the Longitude.
      var uX = uP.x - x0;
      var uY = uP.y - y0;
      var pi2 = pi4 * 2;
 
      var rho = sqrt(pow(uX,2) + pow((rho0 - uY),2)); 
      var theta = atan(uX / (rho0 - uY));
      var txy = pow((rho / (a * f)),(1 / n));
      var lon = (theta / n) + m0;
      uX = uX + x0;
 
      // Estimate the Latitude
      var lat0 = pi2 - (2 * atan(txy));
 
      // Substitute the estimate into the iterative calculation that
      // converges on the correct Latitude value.
      var part1 = (1 - (ec * sin(lat0))) / (1 + (ec * sin(lat0)));
      var lat1 = pi2 - (2 * atan(txy * pow(part1,(ec/2))));
 
      while ((abs(lat1 - lat0)) > 0.000000002) {
         lat0 = lat1;
         part1 = (1 - (ec * sin(lat0))) / (1 + (ec * sin(lat0)));
         lat1 = pi2 - (2 * atan(txy * pow(part1,(ec/2))));
      }
   }

   // Convert from radians to degrees.
   var lat = lat1 / angRad;
   lon = lon / angRad;
 
   return new Point(-lon, lat);
}


